library IEEE;
use IEEE.std_logic_1164.all;
use std.textio.all;
use work.txt_util.all; 
 

entity testbench is end;
		
architecture adder8 of testbench is
	component adder
	  port (I1 : in std_logic_vector(31 downto 0); O1 : out std_logic_vector(31 downto 0));
	end component;

	for adder_0: adder use entity work.adder;
	
	signal i0, i1, ci, s, co : bit;
	signal In1 : std_logic_vector(31 downto 0);
	signal Out1 : std_logic_vector(31 downto 0);
	

	begin
	adder_0: adder port map (I1 => In1, O1 => Out1 );

	process
		variable L : line;
		begin
			write(L, string'(""));			
			while (L.all /= "End")  loop
				deallocate(L);
				--write(L, string'(str(In1)) & "|" & string'(str(Out1)));
				write(L, string'(str(Out1)));
				writeline(output, L);
				readline(input, L);

				for i in L'range loop
					case L(i) is
						when '0' => -- Drive 0
						In1(i-1) <= '0';
						when '1' => -- Drive 1
						In1(i-1) <= '1';
						when 'H' => -- Test for 1
						In1(i-1) <= '1';
						when 'L' => -- Test for 0
						In1(i-1) <= '0';
						when ' ' => -- Skip white space
						next;
						when others =>
						next;
						--assert false
						--report "Illegal char in vector file: " & L(i);
						--exit;
					end case;
				 end loop;
				  wait for 1 ns;
			 end loop;
			assert false report "Test complete";
			wait;
	end process;
end;